# Interface VariableRadiusConePixer

public interface VariableRadiusConePixer
Can calculate which sky pixels fall within a cone of variable radius.

Since:
  10 May 2022
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getPixels(double alpha, double delta, double radius)`
Returns an array of objects representing pixels in a given region.

## Method Details

### getPixels

Object[] getPixels(double alpha, double delta, double radius)
Returns an array of objects representing pixels in a given region. The parameters specify a small circle on the sphere; any pixels which overlap this circle must be returned (additional pixels may also be returned). The output objects must implement the `equals` and `hashCode` methods appropriately, so that objects returned from one call can be compared for identity with objects returned from a subsequent call.

Instances of this class are not thread-safe, and should not be used concurrently from multiple threads.

Parameters:
  `alpha` - right ascension of circle centre in radians
  `delta` - declination of circle centre in radians
  `radius` - radius of circle in radians
Returns:
  array of comparable pixel objects